<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|Nexpose Asset Groups">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to create a Nexpose asset group." /><title>Creating a Nexpose Asset Group</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/creating-nexpose-asset-group.html">Open topic with navigation</a>
        </p>
        <h2>Creating a Nexpose Asset Group</h2>
        <p>To create a <a name="kanchor100"></a>Nexpose asset group, your project must contain assets from a Nexpose scan or import. You must also have an active Nexpose Console configured for the project. <span class="VariablesProductName">Metasploit Pro</span> connects to the Nexpose Console that you configure for the project to create asset groups. </p>
        <p>
If the project does not contain an active Nexpose Console or assets, the Nexpose Asset Group Push feature is unavailable. 
</p>
        <p>Additionally, to utilize the Nexpose Asset Group Push feature, you must apply tags to the assets. A tag logically groups together a set of assets based on a set of criteria. For example, you can tag assets as vulnerable.</p>
        <p> 
You can apply tags manually, or you can enable automatic tagging for Nexpose scans and imports. 
</p>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Tags </b>tab.</li>
            <li value="2"> 
Select the tags that you want to use to create asset groups. 
</li>
            <li value="3">Click <b class="UISelection">Nexpose Push</b>. 
</li>
            <li value="4">Choose the Nexpose Console that you want to use to create the asset groups.</li>
            <li value="5"> 
Enter a descriptive name for the asset group.
</li>
            <li value="6">Enter a description for the asset group. 
</li>
            <li value="7">Enter a list of IP addresses for the assets that you want to include in the asset group. 
</li>
            <li value="8">Create the asset group.</li>
        </ol>
    </body>
</html>